# Users

## Create a new user.

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/create`

#### Query Parameters

| Name                                       | Type   | Description |
| ------------------------------------------ | ------ | ----------- |
| password<mark style="color:red;">\*</mark> | String |             |
| email<mark style="color:red;">\*</mark>    | String |             |

## Get an existing user.

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/get`

#### Query Parameters

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| id or email<mark style="color:red;">\*</mark> | String |             |

## List existing users.

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/list`

## Upgrade a users profile.

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/update-profile`

#### Query Parameters

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| id or email<mark style="color:red;">\*</mark> | String |             |
| first\_name                                   | String |             |
| last\_name                                    | String |             |
| title                                         | String |             |
| phone                                         | String |             |
| custom\_1                                     | String |             |

## Update a users email address.

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/update-email`

## Update a users password.

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/update-password`

## Initiate a user email change.  The new email address will be sent a confirmation email.

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/email-change`

## Initiate a user password reset.  The user will be emailed a link to change their password.

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/password-reset`

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/auth`

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/user/delete`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sitebot.com/api/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
